Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024630
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2013-08-30 10:142013-10-07 16:42
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRMP26.1
StatusclosedFix in branchFixed in SCM revision36a62af279ba
ProjectionnoneETAnoneTarget VersionRMP26
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024630: Taxes are not properly calculated

DescriptionTaxes are not properly calculated
Steps To Reproduce-Change the price list to work without taxes
-Login in Web POS
-Add a product "Whistle"
-Insert qty=200

Finally apply a "disc_fixed_5_perc" discount

You will see that in tax summary the values are:
-net 599.52 instead 554
-tax amt=126 instead of 115.92
TagsRegression
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060832)
hgbot (developer)
2013-08-30 10:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 21ff7683353c23d7a3cecf4dc0b2ecd704f689ab
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 30 10:18:38 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/21ff7683353c23d7a3cecf4dc0b2ecd704f689ab [^]

fixed issue 24630: Tax are properly calculated when discounts are used

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0060933)
hgbot (developer)
2013-09-05 14:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b2638eccdfd11f36feb1a2e1ed00dd9128590e4d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 30 10:18:38 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b2638eccdfd11f36feb1a2e1ed00dd9128590e4d [^]

fixed issue 24630: Tax are properly calculated when discounts are used

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0060941)
priyam (administrator)
2013-09-05 14:20

closing as status changed by RMP26.1 merge process
(0060992)
hgbot (developer)
2013-09-10 09:54

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: 21ff7683353c23d7a3cecf4dc0b2ecd704f689ab
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 30 10:18:38 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/21ff7683353c23d7a3cecf4dc0b2ecd704f689ab [^]

fixed issue 24630: Tax are properly calculated when discounts are used

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0061023)
hgbot (developer)
2013-09-10 09:58

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: b2638eccdfd11f36feb1a2e1ed00dd9128590e4d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 30 10:18:38 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/b2638eccdfd11f36feb1a2e1ed00dd9128590e4d [^]

fixed issue 24630: Tax are properly calculated when discounts are used

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0061038)
guilleaer (developer)
2013-09-10 09:59

reclosed
(0061099)
hgbot (developer)
2013-09-12 13:05

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 36a62af279baa3d2761f7e9c56a6fa9eb08a3cb2
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 30 10:18:38 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/36a62af279baa3d2761f7e9c56a6fa9eb08a3cb2 [^]

fixed issue 24630: Tax are properly calculated when discounts are used

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0061464)
hgbot (developer)
2013-09-30 09:46

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: 36a62af279baa3d2761f7e9c56a6fa9eb08a3cb2
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 30 10:18:38 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/36a62af279baa3d2761f7e9c56a6fa9eb08a3cb2 [^]

fixed issue 24630: Tax are properly calculated when discounts are used

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0061584)
guilleaer (developer)
2013-10-07 16:42

reclosed

- Issue History
Date Modified Username Field Change
2013-08-30 10:14 jecharri New Issue
2013-08-30 10:14 jecharri Assigned To => marvintm
2013-08-30 10:14 jecharri Triggers an Emergency Pack => No
2013-08-30 10:19 hgbot Checkin
2013-08-30 10:19 hgbot Note Added: 0060832
2013-08-30 10:19 hgbot Status new => resolved
2013-08-30 10:19 hgbot Resolution open => fixed
2013-08-30 10:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/21ff7683353c23d7a3cecf4dc0b2ecd704f689ab [^]
2013-08-30 11:34 jecharri Tag Attached: Regression
2013-08-30 11:38 marvintm Review Assigned To => marvintm
2013-08-30 11:38 marvintm Status resolved => closed
2013-08-30 11:38 marvintm Fixed in Version => RMP26
2013-08-30 11:50 guilleaer Fixed in Version RMP26 => RMP26.1
2013-09-05 14:19 hgbot Checkin
2013-09-05 14:19 hgbot Note Added: 0060933
2013-09-05 14:19 hgbot Status closed => resolved
2013-09-05 14:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/21ff7683353c23d7a3cecf4dc0b2ecd704f689ab [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b2638eccdfd11f36feb1a2e1ed00dd9128590e4d [^]
2013-09-05 14:20 priyam Note Added: 0060941
2013-09-05 14:20 priyam Status resolved => closed
2013-09-10 09:54 hgbot Checkin
2013-09-10 09:54 hgbot Note Added: 0060992
2013-09-10 09:54 hgbot Status closed => resolved
2013-09-10 09:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b2638eccdfd11f36feb1a2e1ed00dd9128590e4d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/21ff7683353c23d7a3cecf4dc0b2ecd704f689ab [^]
2013-09-10 09:58 hgbot Checkin
2013-09-10 09:58 hgbot Note Added: 0061023
2013-09-10 09:58 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/21ff7683353c23d7a3cecf4dc0b2ecd704f689ab [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/b2638eccdfd11f36feb1a2e1ed00dd9128590e4d [^]
2013-09-10 09:59 guilleaer Status resolved => closed
2013-09-10 09:59 guilleaer Note Added: 0061038
2013-09-12 13:05 hgbot Checkin
2013-09-12 13:05 hgbot Note Added: 0061099
2013-09-12 13:05 hgbot Status closed => resolved
2013-09-12 13:05 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/b2638eccdfd11f36feb1a2e1ed00dd9128590e4d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/36a62af279baa3d2761f7e9c56a6fa9eb08a3cb2 [^]
2013-09-12 13:07 priyam Status resolved => closed
2013-09-30 09:46 hgbot Checkin
2013-09-30 09:46 hgbot Note Added: 0061464
2013-09-30 09:46 hgbot Status closed => resolved
2013-09-30 09:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/36a62af279baa3d2761f7e9c56a6fa9eb08a3cb2 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/36a62af279baa3d2761f7e9c56a6fa9eb08a3cb2 [^]
2013-10-07 16:42 guilleaer Note Added: 0061584
2013-10-07 16:42 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker